<h2>PART 1</h2>

<div [style.backgroundColor]="bgColor">Some random guy</div>

<button (click)="switchColor()">Swiktch color</button>

<hr>

<h2>PART 2</h2>

<input type="text" [(ngModel)]="defaultFormValue">
<p>{{defaultFormValue}}</p>

<router-outlet></router-outlet>